Bug 62064 - wvdial does not recognise NO ANSWER and never times out
wvdial does not recognise NO ANSWER and never times out
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: wvdial (Show other bugs)
7.2
All Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-27 00:49 EST by Anthony Rumble
Modified: 2016-10-05 06:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-15 06:16:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 62064 master MERGED hostdev: properly set is_hostdevice 2016-10-05 06:41 EDT

  None (edit)
Description Anthony Rumble 2002-03-27 00:49:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.7) Gecko/20011226

Description of problem:
wvdial does not recognise the modem responce NO ANSWER
and never times out to try redialling.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Setup WVDIAL
2.Dial a site that is temporarily not answring (This happens often)
3.Modem will respond with NO ANSWER.. wvdial sits there foreever
	

Actual Results:  wvdial just sat there forever, never timed out, never did anything.

Expected Results:  I can accept that it might not recognise NO ANSWER, but it should
at least timeout at some stage, and redial

Additional info:

This is a major problem, as customers with perminant links basically find that,
when their ISP has the system down for maintenance, they often just turn off the
modems, rather than busy their lines out.

When this happens.. their dialup connection just sits there forever in wvdial.
Comment 1 Anthony Rumble 2002-03-27 02:05:27 EST
Just to clarify this a little further.

If wvdial does not get ANY response it is expecting (ie CONNECT etc)..
it will hang there forever.
Comment 2 Harald Hoyer 2005-07-08 11:32:22 EDT
is this still an issue?

Note You need to log in before you can comment on or make changes to this bug.